Operacion API

Endpoints para swaps

Mostrar operacion

GET /internal/clients/operations/:operation_id

Retorna informacion sobre una operacion en especifico.

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/clients/operations/10

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"f5a3ee2bacf4fe3703b1a84841077066"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 5da50f04-a243-44cf-ada1-11055f36aed5
X-Runtime: 0.047437
Vary: Origin
Content-Length: 834

Status

200 OK

Body

{
  "data": {
    "id": 10,
    "status": "request",
    "currency_in": "usd",
    "amount_in": "5293.35",
    "currency_out": "doc",
    "amount_out": "4572.95",
    "comment": null,
    "tx_hash": null,
    "url_voucher_image": null,
    "created_at": "2023-04-19T17:15:38.731Z",
    "client": {
      "id": 32,
      "first_name": "Adrian",
      "last_name": "Cummings",
      "nationality": "British",
      "gender": "Male",
      "marital_status": "divorcee",
      "politically_exposed": false,
      "birthday": "1989-10-05",
      "client_id": 7777,
      "created_at": "2023-04-19T17:15:38.434Z",
      "updated_at": "2023-04-19T17:15:38.434Z",
      "document_type": "dni",
      "document_number": "58-9486865",
      "state": "pending"
    },
    "merchant": {
      "id": 5000,
      "name": "Kriptonmarket"
    },
    "type": "cash-in",
    "commission": {
      "percentage": 0.5
    },
    "updated_at": "2023-04-19T17:15:38.731Z",
    "payment_method": {
      "type": "wallet",
      "data": [

      ]
    },
    "reference_2": null,
    "metadata": {
      "network_in": "tron"
    },
    "kyc": false,
    "payment_data": null
  }
}